Log::Dispatch::Syslog(3)

NAME
Log::Dispatch::Syslog - Object for logging to system log.

VERSION
version 2.32

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [
              'Syslog',
              min_level => 'info',
              ident     => 'Yadda yadda'
          ]
      ]
  );

  $log->emerg("Time to die.");

DESCRIPTION
This module provides a simple object for sending messages to the system log (via UNIX syslog calls).

Note that logging may fail if you try to pass UTF-8 characters in the log message. If logging fails and warnings are enabled, the error message will be output using Perl's "warn".

CONSTRUCTOR
The constructor takes the following parameters in addition to the standard parameters documented in Log::Dispatch::Output:

•   ident ($)

    This string will be prepended to all messages in the system log. Defaults to $0.

•   logopt ($)

    A string containing the log options (separated by any separator you like). See the openlog(3) and Sys::Syslog docs for more details. Defaults to ''.

•   facility ($)

    Specifies what type of program is doing the logging to the system log. Valid options are 'auth', 'authpriv', 'cron', 'daemon', 'kern', 'local0' through 'local7', 'mail, 'news', 'syslog', 'user', 'uucp'. Defaults to 'user'

•   socket ($ or \@)

    Tells what type of socket to use for sending syslog messages. Valid options are listed in "Sys::Syslog".

    If you don't provide this, then we let "Sys::Syslog" simply pick one that works, which is the preferred option, as it makes your code more portable.

    If you pass an array reference, it is dereferenced and passed to "Sys::Syslog::setlogsock()".

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)